Get video metadata
Retrieves metadata for a video from a URL.
curl -X POST "https://api.fetchmedia.io/v1/fetch/metadata" \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{
"url": "https://www.youtube.com/watch?v=93npkPcQIzA"
}'
import requests
import json
url = "https://api.fetchmedia.io/v1/fetch/metadata"
headers = {
"Content-Type": "application/json",
"X-API-KEY": "YOUR_API_KEY"
}
data = {
"url": "https://www.youtube.com/watch?v=93npkPcQIzA"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.fetchmedia.io/v1/fetch/metadata", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-KEY": "YOUR_API_KEY"
},
body: JSON.stringify({
"url": "https://www.youtube.com/watch?v=93npkPcQIzA"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"url": "https://www.youtube.com/watch?v=93npkPcQIzA"
}`)
req, err := http.NewRequest("POST", "https://api.fetchmedia.io/v1/fetch/metadata", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.fetchmedia.io/v1/fetch/metadata')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-KEY'] = 'YOUR_API_KEY'
request.body = '{
"url": "https://www.youtube.com/watch?v=93npkPcQIzA"
}'
response = http.request(request)
puts response.body
{
"url": "https://www.youtube.com/watch?v=93npkPcQIzA",
"title": "Video Title",
"duration": 123.45,
"view_count": 12345,
"like_count": 12345,
"comment_count": 12345
}
/fetch/metadata
Target server for requests. Edit to use your own host.
API key (sent in header)
API key (sent in query)
The media type of the request body
The URL to fetch metadata for.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
API Key for authentication. Provide your API key in the query.
Body
The URL to fetch metadata for.
Responses
The URL that was fetched.
The title of the video.
The duration of the video in seconds.
The number of views of the video.
The number of likes of the video.
The number of comments of the video.